osg::StandardNotifyHandler Class Reference

`#include <Notify>`

Inheritance diagram for osg::StandardNotifyHandler:

## Public Member Functions

void | notify (osg::NotifySeverity severity, const char *message)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Redirects notification stream to stderr (severity <= WARN) or stdout (severity > WARN). The fputs() function is used to write messages to standard files. Note that std::out and std::cerr streams are not used.

See also
  setNotifyHandler

## Member Function Documentation

## notify()

void osg::StandardNotifyHandler::notify | ( | osg::NotifySeverity | severity,
|  | const char * | message )

virtual

Implements osg::NotifyHandler.

The documentation for this class was generated from the following file:

- Notify